Bug 74629 - semctl(..., SETVAL, ...) does not set sempid
Summary: semctl(..., SETVAL, ...) does not set sempid
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 69077
TreeView+ depends on / blocked
 
Reported: 2002-09-27 23:23 UTC by Matt Wilson
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 19:38:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to correct behavior (386 bytes, patch)
2002-09-27 23:24 UTC, Matt Wilson
no flags Details | Diff

Description Matt Wilson 2002-09-27 23:23:32 UTC
Explanation: semctl(...,SETVAL,...) did not set the value if sempid.
Setting the sempid at SETVAL time corrects this problem.  This is a standards
compliance issue.

Comment 1 Matt Wilson 2002-09-27 23:24:08 UTC
Created attachment 77564 [details]
Patch to correct behavior

Comment 2 Matt Wilson 2003-10-09 19:38:22 UTC
this was integrateded in Update 2



Note You need to log in before you can comment on or make changes to this bug.